Bug 716697 - Review Request: perl-FusionInventory-Agent-Task-ESX - vCenter/ESX/ESXi remote inventory for FusionInventory Agent
Summary: Review Request: perl-FusionInventory-Agent-Task-ESX - vCenter/ESX/ESXi remote...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 716695
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-26 13:37 UTC by Remi Collet
Modified: 2011-08-22 14:45 UTC (History)
3 users (show)

Fixed In Version: fusioninventory-agent-2.1.9-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-17 00:55:14 UTC
Type: ---
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2011-06-26 13:37:14 UTC
Spec URL: https://raw.github.com/remicollet/remirepo/master/perl-FusionInventory-Agent-Task-ESX/perl-FusionInventory-Agent-Task-ESX.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/perl-FusionInventory-Agent-Task-ESX-1.1.1-1.remi.src.rpm
Description: 
vCenter, ESX and ESXi remote inventory using SOAP interface.

You can import the generated files in:
- GLPI with FusionInventory for GLPI
- ocsinventory
- Uranos

Comment 2 Haïkel Guémar 2011-08-07 13:40:27 UTC
perl-FusionInventory-Agent-Task-ESX (Perl package)

MUST: rpmlint must be run on src.rpm and rpm.  OK
$ rpmlint perl-FusionInventory-Agent-Task-ESX-1.1.2-1.fc17.src.rpm         
perl-FusionInventory-Agent-Task-ESX.src: W: spelling-error Summary(en_US) vCenter -> v Center, center, cementer
perl-FusionInventory-Agent-Task-ESX.src: W: summary-not-capitalized C vCenter/ESX/ESXi remote inventory for FusionInventory Agent
perl-FusionInventory-Agent-Task-ESX.src: W: spelling-error %description -l en_US vCenter -> v Center, center, cementer
perl-FusionInventory-Agent-Task-ESX.src: W: spelling-error %description -l en_US ocsinventory -> inventory
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

$ rpmlint -iv perl-FusionInventory-Agent-Task-ESX-1.1.2-1.fc17.noarch.rpm                                                                                        (0)
perl-FusionInventory-Agent-Task-ESX.noarch: I: checking
perl-FusionInventory-Agent-Task-ESX.noarch: W: spelling-error Summary(en_US) vCenter -> v Center, center, cementer
The value of this tag appears to be misspelled. Please double-check.

perl-FusionInventory-Agent-Task-ESX.noarch: W: summary-not-capitalized C vCenter/ESX/ESXi remote inventory for FusionInventory Agent
Summary doesn't begin with a capital letter.

perl-FusionInventory-Agent-Task-ESX.noarch: W: spelling-error %description -l en_US vCenter -> v Center, center, cementer
The value of this tag appears to be misspelled. Please double-check.

perl-FusionInventory-Agent-Task-ESX.noarch: W: spelling-error %description -l en_US ocsinventory -> inventory
The value of this tag appears to be misspelled. Please double-check.

perl-FusionInventory-Agent-Task-ESX.noarch: I: checking-url http://forge.fusioninventory.org/projects/fusioninventory-agent-task-esx (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

The non-capitalized summary is ok, since it would alter the proper spelling of vCenter.

MUST: package named accordingly to package naming guidelines. OK 

MUST: spec file name match %{name}  OK

MUST: package meets packaging guidelines OK

MUST: package must be licensed under a fedora-compliant license OK (GPLv2+)

MUST: License field in package spec match actual license OK
License file included and distributed

MUST: spec in legible american english OK

MUST: sources provided match upstream's OK

provided sources sha1sum: dc5b24fe1e9f0f7d288448cc34435363a42566f9
upstream sources sha1sum: dc5b24fe1e9f0f7d288448cc34435363a42566f9

MUST: package successfully compiles on at least one primary architecture OK
(all of them)

MUST: all build dependencies are listed in BR KO

MUST: package must own all directories it creates OK

MUST: package does not list a file more than once in %files section OK

MUST: permissions are properly set OK

MUST: package consistenly use macros OK

MUST: package contains permissable content OK

MUST: package does not own directories owned by other packages OK

MUST: all filenames in package are valid UTF-8 OK

SHOULD: mock builds were done on rawhide on all primary architectures (x86/x86_64) KO
tests fail due to missing BR: perl(LWP::Protocol::https)
I added it and mock builds went fine

SHOULD: man pages are provided OK

This package respects general & Perl Fedora Packaging guidelines, as soon as the missing BR will be added, it will be approved

Comment 4 Haïkel Guémar 2011-08-08 15:06:20 UTC
All points above are still OK, the missing BR has been added, it builds fine under rawhide.

I hereby approve this package to join his brothers in Fedora Packages Collection.

Comment 5 Remi Collet 2011-08-08 15:15:44 UTC
Thanks for the review :)


New Package SCM Request
=======================
Package Name: perl-FusionInventory-Agent-Task-ESX
Short Description: vCenter/ESX/ESXi remote inventory for FusionInventory Agent
Owners: remi
Branches: f14 f15 f16 el6
InitialCC:

Comment 6 Gwyn Ciesla 2011-08-08 15:22:13 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-08-08 17:14:02 UTC
fusioninventory-agent-2.1.9-3.fc16,perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc16,perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc16,perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc16,perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fusioninventory-agent-2.1.9-3.fc16,perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc16,perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc16,perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc16,perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc16

Comment 8 Fedora Update System 2011-08-08 17:17:38 UTC
fusioninventory-agent-2.1.9-3.fc15,perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc15,perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc15,perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc15,perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fusioninventory-agent-2.1.9-3.fc15,perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc15,perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc15,perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc15,perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc15

Comment 9 Fedora Update System 2011-08-08 17:19:43 UTC
fusioninventory-agent-2.1.9-3.fc14,perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc14,perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc14,perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc14,perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fusioninventory-agent-2.1.9-3.fc14,perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc14,perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc14,perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc14,perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc14

Comment 10 Fedora Update System 2011-08-08 20:47:49 UTC
fusioninventory-agent-2.1.9-3.fc16, perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc16, perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc16, perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc16, perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 11 Fedora Update System 2011-08-17 00:54:49 UTC
fusioninventory-agent-2.1.9-3.fc14, perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc14, perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc14, perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc14, perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 12 Fedora Update System 2011-08-17 01:02:31 UTC
fusioninventory-agent-2.1.9-3.fc15, perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc15, perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc15, perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc15, perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2011-08-22 14:45:32 UTC
fusioninventory-agent-2.1.9-3.fc16, perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc16, perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc16, perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc16, perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.